Package org.eclipse.m2m.atl.engine.vm

# Class ACTInterpreter.ACT

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ACTInterpreter.ACT

Enclosing class:
  ACTInterpreter

protected class ACTInterpreter.ACT extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`List`
`file_s`
`List`
`models`
`String`
`name`
`List`
`operations`
`List`
`params`
`List`
`plugins`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ACT()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### plugins

public List plugins

### file_s

public List file_s

### models

public List models

### params

public List params

### operations

public List operations

## Constructor Details

### ACT

protected ACT()